classification
Title: unittest.findTestCases undocumented
Type: Stage:
Components: Documentation Versions: Python 2.5
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: georg.brandl, slinkp, vdupras
Priority: normal Keywords:

Created on 2008-02-22 14:33 by slinkp, last changed 2008-03-21 20:53 by georg.brandl. This issue is now closed.

Messages (4)
msg62686 - (view) Author: Paul Winkler (slinkp) * Date: 2008-02-22 14:35
I cannot find anything about findTestCases on any of the library doc
pages, certainly not at http://docs.python.org/lib/unittest-contents.html
where I'd expect it to be.
msg62688 - (view) Author: Virgil Dupras (vdupras) (Python triager) Date: 2008-02-22 15:20
findTestCases is an obsolete function. From the code:

# Expose obsolete functions for backwards compatibility
__all__.extend(['getTestCaseNames', 'makeSuite', 'findTestCases'])
msg63909 - (view) Author: Virgil Dupras (vdupras) (Python triager) Date: 2008-03-18 12:33
Can't we close this ticket?
msg64280 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-03-21 20:53
Certainly.
History
Date User Action Args
2008-03-21 20:53:24georg.brandlsetstatus: open -> closed
resolution: wont fix
messages: + msg64280
nosy: + georg.brandl
2008-03-18 12:33:01vduprassetmessages: + msg63909
2008-02-22 15:20:18vduprassetnosy: + vdupras
messages: + msg62688
2008-02-22 14:35:14slinkpsetmessages: + msg62686
2008-02-22 14:33:28slinkpcreate